from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from .com.sun.star.frame import XTerminateListener

@runtime_checkable
class XTerminateListener2(XTerminateListener, Protocol):
    def cancelTermination(self, Event: EventObject) -> None: ...
